%define anolis_release 1

%undefine _package_note_flags
Name:           virt-top
Version:        1.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Utility like top(1) for displaying virtualization stats
License:        GPLv2+
URL:            https://people.redhat.com/rjones/virt-top
Source0:        https://people.redhat.com/rjones/virt-top/files/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  ocaml >= 3.10.2
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-curses-devel >= 1.0.3-7
BuildRequires:  ocaml-calendar-devel
BuildRequires:  ocaml-libvirt-devel >= 0.6.1.5
BuildRequires:  ocaml-gettext-devel >= 0.3.3
BuildRequires:  ocaml-fileutils-devel
BuildRequires:  gettext

BuildRequires:  libvirt-devel
BuildRequires:  libxml2-devel
BuildRequires:  perl-interpreter
BuildRequires:  perl(Pod::Perldoc)
BuildRequires:  gawk
BuildRequires:  gnupg2

%description
virt-top is a 'top(1)'-like utility for showing stats of virtualized
domains.  Many keys and command line options are the same as for
ordinary 'top'.

It uses libvirt so it is capable of showing stats across a variety of
different virtualization systems.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure
make

# Force rebuild of man page.
# There is a missing man_MANS rule, will fix upstream in next version.
rm -f src/virt-top.1
make -C src virt-top.1

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Install translations.
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 src/virt-top.1 $RPM_BUILD_ROOT%{_mandir}/man1

%generate_compatibility_deps

%files -f %{name}.lang
%doc COPYING
%{_bindir}/virt-top
%{_mandir}/man1/virt-top.1*
%dir %{abidir}
%{abidir}/virt-top-option.list

%files doc
%doc README TODO

%changelog
* Thu Mar 16 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.1.1-1
- Init from upstream
